AbstractValidationInterceptor (Apache CXF JavaDoc 4.2.1 API)
Description: declaration: package: org.apache.cxf.validation, class: AbstractValidationInterceptor

Package org.apache.cxf.validation

# Class AbstractValidationInterceptor

java.lang.Object
org.apache.cxf.phase.AbstractPhaseInterceptor<Message>
org.apache.cxf.validation.AbstractValidationInterceptor

All Implemented Interfaces:
  `AutoCloseable`, `Interceptor<Message>`, `PhaseInterceptor<Message>`

Direct Known Subclasses:
  `AbstractBeanValidationInterceptor`, `BeanValidationOutInterceptor`

public abstract class AbstractValidationInterceptor extends AbstractPhaseInterceptor<Message> implements AutoCloseable

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static final ResourceBundle`
  `BUNDLE`
  `protected static final Logger`
  `LOG`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractValidationInterceptor(String phase)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `protected BeanValidationProvider`
  `getProvider(Message message)`
  `protected Method`
  `getServiceMethod(Message message)`
  `protected Object`
  `getServiceObject(Message message)`
  `void`
  `handleMessage(Message message)`
  Intercepts a message.
  `protected abstract void`
  `handleValidation(Message message, Object resourceInstance, Method method, List<Object> arguments)`
  `void`
  `setProvider(BeanValidationProvider provider)`
  `void`
  `setServiceObject(Object object)`

  ### Methods inherited from class org.apache.cxf.phase.AbstractPhaseInterceptor

  `addAfter, addAfter, addBefore, addBefore, getAdditionalInterceptors, getAfter, getBefore, getId, getPhase, handleFault, isGET, isRequestor, setAfter, setBefore`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### LOG

    protected static final Logger LOG

  - ### BUNDLE

    protected static final ResourceBundle BUNDLE

- ## Constructor Details

  - ### AbstractValidationInterceptor

    public AbstractValidationInterceptor(String phase)

- ## Method Details

  - ### setServiceObject

    public void setServiceObject(Object object)

  - ### setProvider

    public void setProvider(BeanValidationProvider provider)

  - ### close

    public void close()
    Specified by:
      `close` in interface `AutoCloseable`

  - ### handleMessage

    public void handleMessage(Message message)
    Description copied from interface: `Interceptor`
    Intercepts a message. Interceptors should NOT invoke handleMessage or handleFault on the next interceptor - the interceptor chain will take care of this.
    Specified by:
      `handleMessage` in interface `Interceptor<Message>`
    Parameters:
      `message` -

  - ### getServiceObject

    protected Object getServiceObject(Message message)

  - ### getServiceMethod

    protected Method getServiceMethod(Message message)

  - ### handleValidation

    protected abstract void handleValidation(Message message, Object resourceInstance, Method method, List<Object> arguments)

  - ### getProvider

    protected BeanValidationProvider getProvider(Message message)